using System.Text;

namespace Beam.Models {
    public class StringDocument(string filename, string content, Encoding? encoding = null) : Document(filename, encoding) {
        public string Content { get; set; } = content;

        public override byte[] ToBytes() {
            return Encoding.GetBytes(Content);
        }

        public override string ToString() {
            return Content;
        }
    }
}
